package org.ow2.jonas.lib.management.tools;

/**
 * Base class for a JOnAS server management.
 * This class is extended by classes specialized for specific management aspects.
 * @author Adriana.Danes@bull.net
 */
public class BaseManagement {
    /**
     * Current server name.
     */
    private String serverName = null;
    /**
     * Current domain name.
     */
    private String domainName = null;

    /**
     * Base constructor.
     */
    public BaseManagement() {
        serverName = WhereAreYou.getServerName();
        domainName = WhereAreYou.getDomainName();
    }

    /**
     * @return The current server name.
     */
    public String getServerName() {
        return serverName;
    }

    /**
     * @return The current domain name.
     */
    public String getDomainName() {
        return domainName;
    }
}
